Bug 26001 - [GLSL 1.10] constructing matrix from matrix succeeds
[GLSL 1.10] constructing matrix from matrix succeeds
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
git
All All
: low minor
Assigned To: Ian Romanick
:
Depends on:
Blocks: 29044
  Show dependency treegraph
 
Reported: 2010-01-11 23:48 UTC by Gordon Jin
Modified: 2010-08-18 19:43 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gordon Jin 2010-01-11 23:48:20 UTC
GLSL 1.10 spec section 5.3.2 says:
"It is an error to construct matrices from other matrices. This is reserved for future use."

But piglit/tests/glslparsertest/shaders/matrix.V110.frag (default #version 110) passes in mesa:

{
    mat4 m;
    mat4 m1 = mat4(m);
}

p.s. This is allowed in GLSL 1.20.
Comment 1 Eric Anholt 2010-08-17 08:41:50 UTC
Fixed with the glsl2 merge.
Comment 2 Gordon Jin 2010-08-18 19:43:36 UTC
verified with mesa master d442a01ac14382d83cdaac87d2832315ceb3e963.